import axios from "@/utils/request";

export function getBasicThirdSys(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/filter",
        method: "get",
        params: query
    });
}

export function updateBasicThirdSys(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/update",
        method: "post",
        data: query
    });
}


export function getDetailBasicThirdSys(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/filterDetail",
        method: "get",
        params: query
    });
}

export function filterDetailByKey(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/filterDetailByKey",
        method: "get",
        params: query
    });
}


export function updateDetailBasicThirdSys(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/saveDetail",
        method: "post",
        data: query
    });
}


export function filterBusTypeDetail(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/filterBusTypeDetail",
        method: "get",
        params: query
    });
}


export function saveBusTypeDetail(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/saveBusTypeDetail",
        method: "post",
        data: query
    });
}

export function saveBusTypes(data) {
    return axios({
        url: "/udiwms/basic/thirdsys/saveBusTypes",
        method: "post",
        data: data
    });
}

export function deleteThirdSysBusType(params) {
    return axios({
        url: "/udiwms/basic/thirdsys/delete",
        method: "get",
        params: params
    });
}

export function updateInterfaceStatus(data) {
    return axios({
        url: "/udiwms/basic/thirdsys/updateInterfaceStatus",
        method: "post",
        data: data
    });
}

export function testThirdService(data) {
    return axios({
        url: "/udiwms/basic/thirdsys/testThirdService",
        method: "post",
        data: data
    });
}

export function testThirdInter(data) {
    return axios({
        url: "/udiwms/basic/thirdsys/testThirdInter",
        method: "post",
        data: data
    });
}



